package betterwithmods.client.container.bulk;

import betterwithmods.BWMod;
import betterwithmods.common.blocks.mechanical.tile.TileEntityMill;
import net.minecraft.client.gui.inventory.GuiContainer;
import net.minecraft.client.resources.I18n;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.EnumDyeColor;
import net.minecraft.util.ResourceLocation;
import org.lwjgl.opengl.GL11;

public class GuiMill extends GuiContainer {
    private static final String NAME = "inv.mill.name";
    private final TileEntityMill mill;
    private ContainerMill container;
    public GuiMill(EntityPlayer player, TileEntityMill mill) {
        super(new ContainerMill(player, mill));
        this.container = (ContainerMill) field_147002_h;
        this.field_147000_g = 158;
        this.mill = mill;
    }


    @Override
    public void func_73863_a(int mouseX, int mouseY, float partialTicks) {
        this.func_146276_q_();
        super.func_73863_a(mouseX, mouseY, partialTicks);
        this.func_191948_b(mouseX, mouseY);
    }

    @Override
    protected void func_146979_b(int x, int y) {
        String s = I18n.func_135052_a(NAME);
        this.field_146289_q.func_78276_b(s, this.field_146999_f / 2 - this.field_146289_q.func_78256_a(s) / 2, 6, 4210752);
    }

    @Override
    protected void func_146976_a(float f,
                                                   int x, int y) {
        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
        this.field_146297_k.field_71446_o.func_110577_a(new ResourceLocation(BWMod.MODID, "textures/gui/mill.png"));
        int xPos = (this.field_146294_l - this.field_146999_f) / 2;
        int yPos = (this.field_146295_m - this.field_147000_g) / 2;
        func_73729_b(xPos, yPos, 0, 0, this.field_146999_f, this.field_147000_g);

        if (container.blocked) {
            String str = "Blocked";
            int width = field_146289_q.func_78256_a(str)/2;
            func_73731_b(field_146289_q, str, xPos + this.field_146999_f/2 - width, yPos + 32, EnumDyeColor.RED.func_193350_e());
        }
        if (this.mill.isGrinding()) {
            int progress = (int) (12 * this.mill.getGrindProgress());
            func_73729_b(xPos + 80, yPos + 18 + 12 - progress, 176, 12 - progress, 14, 14);
        }
    }
}
